MinPayloadFunction (Lucene 3.6.2 API)
Keywords: org.apache.lucene.search.payloads.MinPayloadFunction class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.payloads
Class MinPayloadFunction

    java.lang.Object
      org.apache.lucene.search.payloads.PayloadFunction
          org.apache.lucene.search.payloads.MinPayloadFunction

All Implemented Interfaces:
  Serializable

    public class MinPayloadFunction

extends PayloadFunction

Calculates the minimum payload seen

See Also:
  Serialized Form

Constructor Summary
`MinPayloadFunction()`

Method Summary
`float` | `currentScore(int docId, String field, int start, int end, int numPayloadsSeen, float currentScore, float currentPayloadScore)` Calculate the score up to this point for this doc and field
`float` | `docScore(int docId, String field, int numPayloadsSeen, float payloadScore)` Calculate the final score for all the payloads seen so far for this doc/field
`boolean` | `equals(Object obj)`
`Explanation` | `explain(int doc, int numPayloadsSeen, float payloadScore)`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MinPayloadFunction

    public MinPayloadFunction()

Method Detail

### currentScore

    public float currentScore(int docId,
                              String field,
                              int start,
                              int end,
                              int numPayloadsSeen,
                              float currentScore,
                              float currentPayloadScore)

  Description copied from class: `PayloadFunction`
  Calculate the score up to this point for this doc and field

  Specified by:
    `currentScore` in class `PayloadFunction`
  Parameters:
    `docId` - The current doc
    `field` - The field
    `start` - The start position of the matching Span
    `end` - The end position of the matching Span
    `numPayloadsSeen` - The number of payloads seen so far
    `currentScore` - The current score so far
    `currentPayloadScore` - The score for the current payload
  Returns:
    The new current Score
  See Also:
    `Spans`

### docScore

    public float docScore(int docId,
                          String field,
                          int numPayloadsSeen,
                          float payloadScore)

  Description copied from class: `PayloadFunction`
  Calculate the final score for all the payloads seen so far for this doc/field

  Specified by:
    `docScore` in class `PayloadFunction`
  Parameters:
    `docId` - The current doc
    `field` - The current field
    `numPayloadsSeen` - The total number of payloads seen on this document
    `payloadScore` - The raw score for those payloads
  Returns:
    The final score for the payloads

### explain

    public Explanation explain(int doc,
                               int numPayloadsSeen,
                               float payloadScore)

  Overrides:
    `explain` in class `PayloadFunction`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `PayloadFunction`

### equals

    public boolean equals(Object obj)

  Specified by:
    `equals` in class `PayloadFunction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD